Subject: Re: [RFC 4/9] of/irq: Refactor interrupt-map parsing

From: Stephen Warren <[email-masked]>
Date: Fri, 01 Nov 2013 13:07:33 -0600

On 11/01/2013 11:53 AM, Grant Likely wrote:
> On Thu, 31 Oct 2013 11:57:14 -0700, Olof Johansson <[email-masked]> wrote:
>> On Wed, Oct 30, 2013 at 02:25:21PM -0700, Grant Likely wrote:
>>> (Sorry for HTML mail)
>>>
>>> Can you put #define DEBUG at the top of drivers/of/irq.c and send me the
>>> log output from before and after the commit?
>>
>> Here you go, quite verbose log below.
>>
>> Looks like we're tripping the "no reg passed in" checks, not sure if related.
> 
> I think I've found the bug. See if this helps...
> 
> From 54a6d89d63361f8117ff69e4b65efabb12b897c7 Mon Sep 17 00:00:00 2001
> From: Grant Likely <[email-masked]>
> Date: Fri, 1 Nov 2013 10:50:50 -0700
> Subject: [PATCH] of: Fixup interrupt parsing failure.

Tested-by: Stephen Warren <[email-masked]>

Thanks, this fixes the clocksource errors that I was seeing when
performing CPU hotplug, as mentioned in:

https://lkml.org/lkml/2013/10/31/430
Re: [RFC 4/9] of/irq: Refactor interrupt-map parsing [CPU hotplug
clockevents issue]
--
To unsubscribe from this list: send the line "unsubscribe devicetree" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html